# H501_AuthenticationRejectionReason Class Reference

`#include <h501.h>`

List of all members.

## Public Types

enum | Choices { e_security, e_hopCountExceeded, e_noServiceRelationship, e_undefined, e_neededFeature, e_genericDataReason, e_unknownServiceID, e_securityWrongSyncTime, e_securityReplay, e_securityWrongGeneralID, e_securityWrongSendersID, e_securityIntegrityFailed, e_securityWrongOID }

## Public Member Functions

| H501_AuthenticationRejectionReason (unsigned tag=0, TagClass tagClass=UniversalTagClass)
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H501_AuthenticationRejectionReason::Choices

Enumerator:

  e_security |
  e_hopCountExceeded |
  e_noServiceRelationship |
  e_undefined |
  e_neededFeature |
  e_genericDataReason |
  e_unknownServiceID |
  e_securityWrongSyncTime |
  e_securityReplay |
  e_securityWrongGeneralID |
  e_securityWrongSendersID |
  e_securityIntegrityFailed |
  e_securityWrongOID |

## Constructor & Destructor Documentation

H501_AuthenticationRejectionReason::H501_AuthenticationRejectionReason | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PBoolean H501_AuthenticationRejectionReason::CreateObject | ( |  | ) |

PObject* H501_AuthenticationRejectionReason::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h501.h